<?php
/**********************************************************************************************************/
/* Filtre "note_bulle" 1.0 */
/* ---------------------------------------------------------------------------------------------------- */
/* Infos : GPL - 04/08 (c) FredoMkb */
/* Utilisation : #TEXTE*|note_bulle|propre */
/* Usage : Insere des balises "span" qui s'affichent comme info-bulles lors de leur survol */
/* Voir styles Css "notebulle" associes */
/* ---------------------------------------------------------------------------------------------------- */
function note_bulle($texteOrig) {
// Fonction pour creer des info-bulles dans le texte des articles et breves.
// La fonction verifie l'existence des balises ouvrantes "[[|" et fermantes "|]]"
// si c'est le cas, elle les remplace par une balise survolable affichant une info-bulle
// avec tout le contenu des balises, meme s'il est formate en Html.
	
	// Test de l'existence des info-bulles. 
	preg_match("#\\[\\[\\|(.*?)\\|\\]\\]#iU", $texteOrig, $testInfoBulle);
	
	// Si un des info-bulles existent, alors on genere les balises survolables.
	if ($testInfoBulle[1] != false) {

		// On exclu les textes des codes et cadres
		$texteOrigClean = preg_replace('#<cadre>(.*?)</cadre>#s','',$texteOrig); 
		$texteOrigClean = preg_replace('#<code>(.*?)</code>#s','',$texteOrigClean); 
	
		// Recuperation des toutes les info-bulles presentes dans le texte nettoye.
		preg_match_all('#\\[\\[\\|(.*?)\\|\\]\\]#iU', $texteOrigClean, $listeOrig);
				
		// On place le resultat dans une variable et on initialise les autres variables.
		$listeInfoBullesOrig = $listeOrig[1];
		$lienDebut = '<span class="notebulle" onmouseover="this.childNodes[1].setAttribute(\'title\', \'\');">[[';
		$lienCentre = ']]<span>';
		$lienFin = '</span></span>';
		
		// Boucle sur chaque element de la liste des info-bulles recuperees.
		foreach ($listeInfoBullesOrig as $textInfoBulleOrig) {
			$textInfoBulleNew = $lienDebut.$textInfoBulleOrig.$lienCentre.$textInfoBulleOrig.$lienFin;
			$texteOrig = str_replace("[[|".$textInfoBulleOrig."|]]", $textInfoBulleNew, $texteOrig);
		};
	};
	// Retour du texte modifie.
	return $texteOrig;
}
/**********************************************************************************************************/
?>